<?php

namespace ppa\Model;
use ppa\Model\ParticipantModel;

class NotesModel extends Database
{
    public function selectNotesForUser($userid, $sortBy = 'updated_at', $sortOrder = 'DESC')
    {
        $sql = "SELECT n.*, u.username AS owner_username 
            FROM notes n 
            JOIN users u ON n.user_id = u.id 
            ORDER BY {$sortBy} {$sortOrder}";

        $pdo = $this->linkDB();

        try {
            $res = $pdo->query($sql);
        } catch (\PDOException $e) {
            new \ppa\Library\ErrorMsg("Ihre Anfrage konnte nicht verarbeitet werden", $e); 
            die;
        }

        return $res->fetchAll(\PDO::FETCH_ASSOC);
    }
}